Bug 10911 - Rescue Mode from CD: fsck.ext2 bug
Summary: Rescue Mode from CD: fsck.ext2 bug
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-19 09:37 UTC by kb9moe
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-26 00:24:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kb9moe 2000-04-19 09:37:58 UTC
If you boot from to CD in Rescue mode and need to run fsck.ext2
You can not pick a /dev/hda? or /tmp/hda? with out mounting it first.
Can this be changed?

Comment 1 Richard Rager 2000-05-26 00:24:59 UTC
I have been working with the new kernel 2.4.0-test1

If Redhat could use the new devfs this will not be a problem any more.

Note: please do..

Enjoy,

Richard Rager
kb8rln@penguinmaster.com

Comment 2 Jeff Johnson 2000-08-09 18:02:46 UTC
In rescue mode, you will have to create the devices needed for fsck to access
the partitions.
I believe that mknod is available if you wish to create the devices without
doing a mount.

A 2.4 kernel will be available at the appropriate time, almost certainly with
devfs included.


Note You need to log in before you can comment on or make changes to this bug.